import router from './index';
import Setting from '@/setting';

router.beforeEach((to, from, next) => {
    document.title = Setting.titleSuffix;
    const role = sessionStorage.getItem(Setting.usernameKey);
    if (!role && to.path !== '/login') {
        next('login')
        // if(to.fullPath != '/404' && to.fullPath != '/'){
        //     next({
        //         path: 'login',
        //         query: {redirect: to.fullPath}
        //     })
        // }else{
        //     next('login')
        // }
    } else if(role && to.path == '/login') {
        next('dashboard')
    } else {
        if (navigator.userAgent.indexOf('MSIE') > -1 && to.path === '/editor') {
            Vue.prototype.$alert('vue-quill-editor组件不兼容IE10及以下浏览器，请使用更高版本的浏览器查看', '浏览器不兼容通知', {
                confirmButtonText: '确定'
            });
        } else {
            next();
        }
    }   
});