import Setting from '@/setting';

let host = Setting.apiBaseURL
let uploadURL = 'http://112.74.110.92:8001'
let loginhost = 'http://www.liuwanr.cn/liuwanr'

export default {
  host,
  logins: `${host}/management/userInfo/login`, //登录 
  save: `${host}/management/userInfo/add`, //注册

  queryPhone: `${loginhost}/userInfo/queryPhone`, //查询电话是否存在

  uploadUserAvatars: `${uploadURL}/oss/manage/fileupload`,
  queryProvince: `${host}/enterprise/province/queryProvince`,
  queryCity: `${host}/enterprise/city/queryCity`,
  queryClient: `${host}/enterprise/client/list`,
  
  userinfoUpdate:`${host}/management/userInfo/update`,//个人中心信息修改
  userinfo:`${host}/management/userInfo/getUserInfo`,//个人中心信息展示
  getAccount:`${host}/management/userInfo/getAccount`,//账号判重

  queryCourseByCondition: `${host}/management/edu/course/queryCourseByCondition`,
  getCourse: `${host}/management/edu/course/getCourse`,
  getPlayAuth: `${host}/oss/manage/getPlayAuth`,
  queryContestByCondition: `${host}/enterprise/match/contest/queryContestByCondition`,
  queryAllClassification: `${host}/management/edu/courseClassification/queryGlClassification`,
  queryAllColumns: `${host}/enterprise/information/column/queryAllColumns`,
  getArticle: `${host}/enterprise/information/article/getArticle`,
  getArticles: `${host}/enterprise/information/article/getArticles`, 
  queryArticleByCondition: `${host}/enterprise/information/article/queryArticleByCondition`,
  onlineContestQuery: `${host}/enterprise/match/onlineContest/onlineContestQuery`,
  getContest: `${host}/enterprise/match/contest/getContest`,
  addApplicant: `${host}/enterprise/match/applicant/addApplicant`,
  getContestProgress: `${host}/enterprise/match/contest-progress/getContestProgress`,

  queryChaptersAndSubsections: `${host}/management/edu/courseChapter/queryChaptersAndSubsections`,
  getSubsection: `${host}/management/edu/courseSubsection/getSubsection`, //根据小节id获取预览文件地址
}