import Vue from 'vue';
import Vuex from 'vuex';
Vue.use(Vuex);
const store = new Vuex.Store({
    state: {
        avatar: 'https://cube.elemecdn.com/3/7c/3ea6beec64369c2642b92c6726f1epng.png',
        customerId:'',
        mobile:'',
        status:'',
        newsid:'',
        newTypeid:'',
        manager:{},
        resultId: '',
        classId: '',
        className: '',
        schoolName: '',
        provinceId: '',
        cityId: '',
        staffstateProfessId: '',
        staffstateId: '',
        userId: '',
        accountRole: '',
        name:'',
        account:'',
        phone:'',
        schoolId: '',
        courseId:'',
        assesmentId: '',
        staffId: '',
        studentId: '',
        schoolName: '',
        answerHistory: [],
        matchId: '',
        matchSignupStatus: '',
        columnId: ''
    },
    mutations:{
        courseIdData(state,payload){
            state.courseId = payload.courseId
        },
        userInfo(state,payload){
            state.name = payload.name
            state.account = payload.account
            state.phone = payload.phone
            state.schoolId = payload.schoolId
            state.schoolName = payload.schoolName
        },
        userPhoto(state,payload){
           state.userPhoto = payload.userPhoto
        },
        customerData (state, payload) {
            state.customerId = payload.customer_id
        },
        addNews (state, payload) {
            state.newsid = payload.newsid,
            state.newTypeid = payload.newTypeid
        },
        managerData (state, payload) {
            state.manager = payload.form
        },
        resultData (state, payload) {
            state.resultId = payload.resultId
        },
        classData (state, payload) {
            state.classId = payload.classId
            state.className = payload.className
        },
        schoolData (state, payload) {
            state.schoolId = payload.schoolId
            state.schoolName = payload.schoolName
            state.provinceId = payload.provinceId
            state.cityId = payload.cityId
            state.accountRole = payload.accountRole
        },
        platformId (state, payload) {
            state.platformId = payload.platformId
        },
        staffProfessIdData (state, payload) {
            state.staffstateProfessId = payload.staffstateProfessId
            state.staffstateId = payload.staffstateId
        },
        setAvatarData (state, payload) {
            state.avatar = payload.avatar
        },
        userLoginData (state, payload) {
            state.userId = payload.userId
            state.accountRole = payload.accountRole
            // state.staffId = payload.staffId
            // state.studentId = payload.studentId
        },
        assesmentData (state, payload) {
            state.assesmentId = payload.assesmentId
        },
        provinceData (state, payload) {
            state.provinceList = payload.provinceList
        },
        answerHistoryData (state, payload) {
            state.answerHistory = payload.answerHistory
        },
        addInfoData (state, payload) {
            state.columnId = payload.columnId
        },
        matchSignup (state, payload) {
            state.matchId = payload.matchId
            state.matchSignupStatus = payload.matchSignupStatus
        },
    }
});
 
export default store;